// #autoload
// #name = HalChecker
// #version = 1.8
// #date = April 9, 2002
// #author = Halide
// #warrior = Halide
// #email = halide@tribes2.org
// #web = http://scripts.tribes-universe.com/halide/
// #description = Allows you to check community features in-game.
// #category = Halide's Scripts

if(!isObject(HalChecker))
{
	new ScriptObject(HalChecker)
	{
		class = HalChecker;
		version = "1.8";
		// prefs
		// edit the following to "News", "Forums", "Email", "Chat", or "Browser"
		start = "Chat";
	};
}

function HalChecker(%val)
{
	if(!%val)
		return;

	switch$(HalChecker.start)
	{
		case "News":	%gui = "NewsGui";
		case "Forums":	%gui = "ForumsGui";
		case "Email":	%gui = "EmailGui";
		case "Chat":	%gui = "ChatGui";
		case "Browser":	%gui = "TribeandWarriorBrowserGui";
		default:		return;
	}

	LaunchTabView.setSelectedByIndex(0);
	LaunchTabView.viewTab(strUpr(HalChecker.start), %gui, 0);

	HalChecker.active = true;
}

// START package HalChecker
package HalChecker
{
	function GameGui::onWake(%this)
	{
		parent::onWake(%this);

		if(HalChecker.active)
		{
			Canvas.setContent(HalChecker.gui);

			HalChecker.active = false;
		}
	}

	function onConnectionToServerTimedOut()
	{
		HalChecker.active = false;

		parent::onConnectionToServerTimedOut();
	}

	function onConnectionToServerLost(%msg)
	{
		HalChecker.active = false;

		parent::onConnectionToServerLost(%msg);
	}

	function connect(%addr, %client, %name, %raceGender, %skin, %voice, %voicePitch)
	{
		if(HalChecker.active)
			disconnect();

		parent::connect(%addr, %client, %name, %raceGender, %skin, %voice, %voicePitch);
	}

	function disconnect()
	{
		HalChecker.active = false;

		parent::disconnect();
	}

	function DebriefGui::onWake(%this)
	{
		HalChecker.gui = "DebriefGui";

		parent::onWake(%this);
	}

	function PlayGui::onWake(%this)
	{
		HalChecker.gui = "PlayGui";

		parent::onWake(%this);
	}

	function LoadingGui::onWake(%this)
	{
		HalChecker.gui = "LoadingGui";

		parent::onWake(%this);
	}

	function OptionsDlg::onWake(%this)
	{
		if(!HalChecker.bind)
		{
			$RemapName[$RemapCount] = "HalChecker";
			$RemapCmd[$RemapCount] = "HalChecker";
			$RemapCount++;

			HalChecker.bind = true;
		}
		parent::onWake(%this);
	}

	function clientCmdSetDefaultVehicleKeys(%inVehicle)
	{
	   	parent::clientCmdSetDefaultVehicleKeys(%inVehicle);

	   	if (%inVehicle)
			passengerKeys.copyBind(moveMap, HalChecker);
   	}

// END package HalChecker
};
activatePackage(HalChecker);